info.bioinfweb.jphyloio.objecttranslation.implementations

## Class AbstractObjectTranslator<O>

- java.lang.Object
- - info.bioinfweb.jphyloio.objecttranslation.implementations.AbstractObjectTranslator<O>

- Type Parameters:
    `O` - the type of Java object this translator instance is able to handle
  All Implemented Interfaces:
    ObjectTranslator<O>
  Direct Known Subclasses:
    AbstractXMLObjectTranslator, PhyloXMLColorTranslator, SimpleValueTranslator

      public abstract class AbstractObjectTranslator<O>
      extends java.lang.Object
      implements ObjectTranslator<O>

  Abstract base class for implementations of `ObjectTranslator` that implements `equals(Object)` and `hashCode()` based of the return values of `ObjectTranslator.getObjectClass()` and `ObjectTranslator.hasStringRepresentation()`.

  Inherited classes that add additional properties must overwrite these methods.

  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractObjectTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.objecttranslation.ObjectTranslator

      `getObjectClass, hasStringRepresentation, javaToRepresentation, readXMLRepresentation, representationToJava, writeXMLRepresentation`

- - ### Constructor Detail

    - #### AbstractObjectTranslator

          public AbstractObjectTranslator()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`